﻿using System;
using System.Net;
using System.Windows;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.UnityExtensions;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Regions;
using Telerik.Windows.Controls;


namespace RadDockingAndPRISM
{
	public class Bootstrapper : UnityBootstrapper
	{
		protected override RegionAdapterMappings ConfigureRegionAdapterMappings()
		{
			var mappings = base.ConfigureRegionAdapterMappings();

			mappings.RegisterMapping(typeof(RadPaneGroup), this.Container.Resolve<RadPaneGroupRegionAdapter>());

			return mappings;
		}

        protected override void InitializeShell()
        {
            base.InitializeShell();
#if SILVERLIGHT
            Application.Current.RootVisual = this.Shell as UIElement;
#else
            (this.Shell as Window).Show();
#endif
        }

		protected override DependencyObject CreateShell()
		{
//            Shell shell = Container.Resolve<Shell>();
//#if SILVERLIGHT
//            App.Current.RootVisual = shell;
//#else
//            shell.Show();
//#endif

//            return shell;
            return this.Container.Resolve<Shell>();
		}

		protected override void ConfigureModuleCatalog()
		{
            base.ConfigureModuleCatalog();

            ModuleCatalog catalog = this.ModuleCatalog as ModuleCatalog;
			catalog.AddModule(typeof(ModuleA.ModuleA));
            catalog.AddModule(typeof(ModuleB.ModuleB));
		}
	}
}
